anova.coxph {survival} | R Documentation

## Analysis of Deviance for Cox model.

### Description

Compute an analysis of deviance table for one Cox model fit.

### Usage

    ## S3 method for class 'coxph':
    anova(object, ...,  test = NULL)

### Arguments

`object` | An object of class `coxph`
`...` | Further `coxph` objects
`test` | a character string, (partially) matching one of `"Chisq"`, `"F"` or `"Cp"`. See `stat.anova`.

### Details

Specifying a single object gives a sequential analysis of deviance table for that fit. That is, the reductions in the residual deviance as each term of the formula is added in turn are given in as the rows of a table, plus the residual deviances themselves.

If more than one object is specified, the table has a row for the residual degrees of freedom and deviance for each model. For all but the first model, the change in degrees of freedom and deviance is also given. (This only make statistical sense if the models are nested.) It is conventional to list the models from smallest to largest, but this is up to the user.

The table will optionally contain test statistics (and P values) comparing the reduction in deviance for the row to the residuals. Mallows' Cp statistic is the residual deviance plus twice the residual degrees of freedom, which is closely related to AIC. Don't use `test=F`, it doesn't make sense.

### Value

An object of class `"anova"` inheriting from class `"data.frame"`.

### Warning

The comparison between two or more models by `anova` or will only be valid if they are fitted to the same dataset. This may be a problem if there are missing values.

### See Also

`coxph`, `anova`.

### Examples

    data(ovarian)
    fit <- coxph(Surv(futime, fustat) ~ resid.ds *rx + ecog.ps, data = ovarian)
    anova(fit)
    anova(fit,test="Chisq")
    fit2 <- coxph(Surv(futime, fustat) ~ resid.ds +rx + ecog.ps, data
    =ovarian)
    anova(fit2,fit)

[Package Contents]